"use strict";

var GO_Trigger = function(w,h,triggerEvent){
	this.sprite = new Sprite(null,"Trigger");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,0,(w)?parseInt(w):15,(h)?parseInt(h):15);
	this.sprite.game_object = this; // no longer a generic GO
	
	this.triggerEvent = triggerEvent;
};

GO_Trigger.prototype = new GameObject(
	new Sprite(
		null,
		"Trigger"
	),
	"Trigger"
	);

	GO_Trigger.prototype.interactions = 
		DEFINE_GAMEOBJECT_INTERACTIONS.TRIGGER;
